import request from '@/utils/request'

// 查询分班结果列表
export function listClassResult(query) {
  return request({
    url: '/major/classResult/list',
    method: 'get',
    params: query
  })
}

// 查询分班结果详细
export function getClassResult(id) {
  return request({
    url: '/major/classResult/' + id,
    method: 'get'
  })
}

// 新增分班结果
export function addClassResult(data) {
  return request({
    url: '/major/classResult',
    method: 'post',
    data: data
  })
}

// 修改分班结果
export function updateClassResult(data) {
  return request({
    url: '/major/classResult',
    method: 'put',
    data: data
  })
}

// 删除分班结果
export function delClassResult(id) {
  return request({
    url: '/major/classResult/' + id,
    method: 'delete'
  })
}

// 进行分班
export function startClass(data) {
  return request({
    url: '/major/classResult/startClass',
    method: 'post',
    data: data
  })
}